%define	fname	SDL
%define	name	SDL12
%define	version	1.2.8
%define release	5mdk
%define	lib_name_orig	lib%{fname}
%define	lib_major	1.2
%define	lib_name	%mklibname %{fname} %{lib_major}

%if %{mdkversion} >= 1010
%define build_plugins	1
%define build_directfb	1
%define build_ggi	1
%else
%define build_plugins	0
%define build_directfb	0
%define build_ggi	0
%endif

Summary:	Simple DirectMedia Layer
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.libsdl.org/release/%{fname}-%{version}.tar.bz2
Patch0:		SDL-1.2.7-fixrpath.patch.bz2
Patch1:		SDL-1.2.8-libtool.patch.bz2
Patch2:		SDL-1.2.8-workaround-absence-of-usrlib-in-esdconfig-libs.patch.bz2
Patch3:		SDL-1.2.8-x86_64.patch.bz2
#gw from CVS: fix build with alsa 1.0
Patch7:		SDL-1.2.6-new-alsa.patch.bz2
# (gb): handle some video drivers as a plugin
Patch10:	SDL-1.2.7-video-plugins.patch.bz2
Patch20:	SDL-1.2.8-gcc4.patch.bz2
Patch21:	SDL-1.2.8-anonymous-enums.patch.bz2
License:	LGPL
Group:		System/Libraries
URL:		http://www.libsdl.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	arts-devel
BuildRequires:	esound-devel
%ifarch %{ix86}
BuildRequires:	nasm
%endif
BuildRequires:	automake1.7
%if %{build_plugins}
BuildRequires:	libtool-devel
%endif
%if %{build_directfb}
BuildRequires:	DirectFB-devel
%endif
%if %{build_ggi}
BuildRequires:	libggi-devel
%endif

%description
This is the Simple DirectMedia Layer, a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across multiple
platforms.

%package -n	%{lib_name}-video-ggi
Summary:	GGI video support for SDL
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name}-video-ggi
This is the Simple DirectMedia Layer, a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across multiple
platforms.

This package provides GGI video support as a plugin to SDL.

%package -n	%{lib_name}-video-directfb
Summary:	DirectFB video support for SDL
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name}-video-directfb
This is the Simple DirectMedia Layer, a generic API that provides low level
access to audio, keyboard, mouse, and display framebuffer across multiple
platforms.

This package provides DirectFB video support as a plugin to SDL.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{lib_name_orig} = %{version}-%{release}
Obsoletes:	SDL
Provides:	SDL

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version} libalsa-devel >= 0.9.0 nas-devel XFree86-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	SDL-devel, SDL%{lib_major}-devel
Obsoletes:	SDL-devel

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p1
%patch1 -p1 -b .libtool
%patch2 -p1
%patch3 -p1 -b .x86_64
%patch7 -p1
#%patch8 -p1 -b .joystick
#%patch9 -p1 -b .gcc3.4
%patch10 -p1 -b .video-plugins
%patch20 -p1 -b .gcc4
%patch21 -p0 -b .enums

%build
# update config.{sub,guess} so that thing knows about amd64
%{?__cputoolize: %{__cputoolize}}
# (gc) SDL-1.2.7 comes tied to aclocal-1.8
aclocal-1.7
autoconf
export CFLAGS="$RPM_OPT_FLAGS -fPIC -O3"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC -O3"
export CPPFLAGS=-I/usr/X11R6/include
# (gb) Look for ESD libraries in the right directories, avoid patch
# FIXME: Better go to the same way as for CheckARTSC
perl -pi -e "s|/usr/lib/|%{_libdir}/| if /(esd|arts)_lib_spec=/" configure
# (gc) Do **NOT** use %%configure or else the shared lib will not 
# contain the static libs, thus leading to problems with all client apps
# (gb) what does "the shared lib will not contain the static libs" mean?
# we most likely can libtoolize --copy --force now since SDL libtool >= 1.5.8
./configure \
	--build=%{_target_platform} \
	--host=%{_target_platform} \
	--target=%{_target_platform} \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-video-opengl \
	--disable-video-svga \
%if %{build_ggi}
	--enable-video-ggi \
%if %{build_plugins}
	--enable-video-ggi-plugin \
%endif
%endif
%if %{build_directfb}
	--enable-video-directfb \
%if %{build_plugins}
	--enable-video-directfb-plugin \
%endif
%endif
    --disable-debug --enable-dlopen --enable-arts --enable-arts-shared --enable-esd --enable-esd-shared \
    --program-prefix=
%make

# remove -DPIC -fPIC from sdl-config (comes from artsc-config)
perl -pi -e "s/-lartsc -DPIC -fPIC/-lartsc/" sdl-config

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files
%if %{build_plugins}
rm -f $RPM_BUILD_ROOT%{_libdir}/SDL/*.a
%endif

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/sdl-config

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc README-SDL.txt COPYING CREDITS BUGS
%{_libdir}/libSDL-%{lib_major}.so.*
%if %{build_plugins}
%dir %{_libdir}/SDL
%endif

%if %{build_plugins}
%if %{build_ggi}
%files -n %{lib_name}-video-ggi
%defattr(-,root,root)
%{_libdir}/SDL/video_ggi.*
%endif

%if %{build_directfb}
%files -n %{lib_name}-video-directfb
%defattr(-,root,root)
%{_libdir}/SDL/video_directfb.*
%endif
%endif

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README README-SDL.txt COPYING CREDITS BUGS WhatsNew docs.html
%doc docs/html/*.html
%{_bindir}/sdl-config
%multiarch %{multiarch_bindir}/sdl-config
%{_libdir}/*a
%{_libdir}/*.so
%dir %{_includedir}/SDL
%{_includedir}/SDL/*.h
%{_datadir}/aclocal/*
%{_mandir}/*/*

%changelog
* Mon Aug 15 2005 Götz Waschk <waschk@mandriva.org> 1.2.8-5mdk
- Rebuild

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 1.2.8-4mdk
- rebuild
- Patch20: allows build with gcc4 (from fedora)
- Patch21: should fix anonymous enum problem with armagetron. (from debian)

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.8-3mdk
- libtool fixes to nuke lib64 rpaths
- fix build on x86_64, drop rdtsc() part which is obsolete

* Tue Feb 01 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.8-2mdk
- multiarch
- compile with -O3

* Tue Dec 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.8-1mdk
- 1.2.8
- regenerate P2 & P3
- drop P8 & P9 (fixed upstream)

* Tue Sep 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-9mdk
- forgot to regenerate a fixed patch

* Tue Sep 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-8mdk
- build ggi and directfb support as a plugin on MDK >= 10.1

* Tue Aug 31 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.7-7mdk
- update patch 9 from SDL cvs

* Thu Jul 29 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.7-6mdk
- Merged Gwenole 64bit fixes from 1.2.7-2.1mdk: cputoolize.

* Fri Jun 11 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.7-5mdk
- patch to make it build with gcc 3.4

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.7-4mdk
- fix joystick bug (P8, fixes #9432)

* Thu Apr 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.7-3mdk
- enable directfb and ggi support

* Tue Mar  2 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.7-2mdk
- fix buildrequires

* Thu Feb 26 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-1mdk
- new version (fix for #8371 at least) (debian and CVS stuff added by
  Per Oyvind merged upstream)

* Tue Feb 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.6-3mdk
- Fix high CPU usage with ALSA audio driver and default ALSA device to be used (P11 from cvs, should fix #6846)
- spec cosmetics

* Fri Jan 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.6-2mdk
- add a couple of debian patches (strange, I uploaded this one ages ago, src.rpm got lost?)
	o make SDL use sigaction instead of signal (P9, from debian)
	o ``Fix segfault in XFree86 mode switching'' patch from Alan Swanson. (P10, from debian)

* Fri Jan  9 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.6-1mdk
- add new patches 7 and 8 to fix build
- drop patch 5
- drop merged patches 4 and 6
- rediff patch 2
- new version

* Mon Aug  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.5-12mdk
- Provides: SDL1.2-devel
- BuildRequires: libnas-devel in libSDL1.2-devel

* Thu Jul 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-11mdk
- don't link against directfb

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-10mdk
- rebuild for new devel provides
- allow build by grabbing a necessary patch from SDL-1.2 CVS (patch #6)

* Wed Jun 11 2003 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-9mdk
- fix buildrequires
- gcc 3.3 build patch from Christiaan Welvaart
- add the X11R6 includedir for nas headers

* Sat May 31 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.5-8mdk
- use %%mklibname
- provide libSDL too

* Sat May 31 2003 Austin Acton <aacton@yorku.ca> 1.2.5-7mdk
- rebuild for rpm-4.2
 
* Wed Apr 30 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-6mdk
- SDL-devel needs XFree86-devel

* Mon Mar 03 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.5-5mdk
- Rebuilt.

* Sun Mar 02 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.5-4mdk
- added libnas2-devel Requires to libSDL-devel (Götz Waschk)

* Thu Feb 27 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-3mdk
- misc changes thx to Francisco Javier Felix <fran at imagenes3d.com>

* Mon Feb 17 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-2mdk
- Patch4: open alsa in non block mode (inspired from a titi patch)

* Thu Oct 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-1mdk
- new version

* Fri Aug 23 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-11mdk
- fix alsa9 patch, so that it opens alsa in non-block mode; should fix
  block when starting games when dsp is busy

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-10mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Sat Aug 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-9mdk
- Patch3: x86-64 fixes, little endian and may use rdtsc too

* Fri Aug  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-8mdk
- rpmlint fixes: configure-without-libdir-spec

* Fri Aug  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-7mdk
- revert 1.2.4-5mdk change making use of RH patch to prefer sound daemons
  since there are delay problems when selecting esound
- needs a patch to configure because it assumes that esd-config --libs
  will contain a -L :-(

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-6mdk
- Automated rebuild with gcc3.2

* Mon Jun  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-5mdk
- merge interesting stuff from RH:
  - usage of dlopen() to not link strictly against sound daemons
  - SDL-1.2.3-prefersounddaemons.patch.bz2

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-4mdk
- Automated rebuild in gcc3.1 environment

* Mon Apr 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.4-3mdk
- libsdl-devel requires libalsa-devel (andrej borsenkow)

* Thu Apr 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.4-2mdk
- remove useless prefix
- add alsa0.9 support

* Mon Apr 15 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- new version
  - fix of sdl-config no more needed
  - fix-fstab-parsing-segfault integrated upstream

* Mon Jan 28 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.3-6mdk
- fixed fix-fstab-parsing-segfault.patch (uses strdup()).

* Thu Jan 24 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-5mdk
- fix-fstab-parsing-segfault.patch [was already fixed in CVS of SDL..]

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-4mdk
- BuildRequires

* Mon Jan 14 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.3-3mdk
- fixed sdl-config --libs (report by Geoffrey Lee).

* Sat Nov 17 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.3-2mdk
- added patch from Jeff Garzik to mandir for building on alpha.
- fixed plaftorm name (Jeff).

* Thu Nov 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- new version

* Tue Aug 07 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.2-1mdk
- updated to release 1.2.2.

* Thu Jun 28 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to release 1.2.1.

* Sun Apr 01 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.0-2mdk
- changed package name to SDL12 for allowing both SDL-1.1.8*.src.rpm
  and SDL12-1.2.0*.src.rpm.

* Sat Mar 31 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0 (libSDL1.2).
- removed old 1.0.8 (it is already provided in libSDL1.1).
- adapted rpath patch to 1.2.0.

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.8-2mdk
- get fixes from SDL 1.2.0.

* Tue Feb 13 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.8-1mdk
- Put a new shiny 1.1.8 SDL out for general consumption.

* Tue Jan 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-3mdk
- use working release for old SDL also.

* Mon Jan 29 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-2mdk
- added provides to libSDL1.1 (Guillaume Rousse <g.rousse@linux-mandrake.com>)
- devel package use provides with full version and release tags

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7.

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-2mdk
- follow new lib policy, split packages with current and old versions.

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6
- include man pages
- include html help

* Thu Oct 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-8mdk
- rebuild to fix sdl-config to not provide some rpath

* Fri Sep 29 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.4-7mdk
- rebuild with latest XFree 4.0.1 from FredL.

* Fri Sep 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-6mdk
- rebuild against fixed XFree4 by FredL.

* Tue Aug 29 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.4-5mdk
- rebuild without %%configure.

* Mon Aug 28 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.4-4mdk
- fixed a typo in changelog.

* Mon Aug 28 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.4-3mdk
- use of configure and other macros.

* Sat Aug 25 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.4-2mdk
- removed Mesa-devel from BuildRequires and other entries listed twice.
- updated URL.

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4 (which fixes a bug in KDE according to the README for xmms-smpeg).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.3-4mdk
- automatically added BuildRequires.

* Thu Jun 28 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.3-3mdk
- added old 1.0.X version for backward compatibility.

* Sat Jun 24 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.3-2mdk
- added some Requires.

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- v1.1.3.

* Thu May 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.8-4mdk
- don't use nasm on non Intel archs.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.8-3mdk
- fixed the few problems

* Fri Apr 07 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com>
- changed group.

* Sat Mar 18 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com>
- updated to version 1.0.8.

* Tue Feb 09 2000 Giuseppe Ghibò <ghibo@mandrakesoft.com>
- updated to version 1.0.4.

* Sat Feb 05 2000 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- updated for version 1.0.3.
- added BuildPreReq.

* Wed Jan 19 2000 Sam Lantinga <slouken@devolution.com>
- Re-integrated spec file into SDL distribution
- 'name' and 'version' come from configure 
- Some of the documentation is devel specific
- Removed SMP support from %build - it doesn't work with libtool anyway

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- Hacked Mandrake sdl spec to build 1.1

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Dec 18 1999 John Buswell <johnb@mandrakesoft.com>
- Add symlink for libSDL-1.0.so.0 required by sdlbomber
- Added docs

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v 1.0.0

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.
